# Method: buyers.proposals.accept

- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/accept#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/accept#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/accept#body.request_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/accept#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/accept#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/accept#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/accept#try-it)

Accepts the proposal at the given revision number. If the revision number in the request is behind the latest from the server, an error message will be returned. This call updates the `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals#Proposal.FIELDS.state` from `BUYER_ACCEPTANCE_REQUESTED` to `FINALIZED`; it has no side effect if the `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals#Proposal.FIELDS.state` is already `FINALIZED` and throws exception if the `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals#Proposal.FIELDS.state` is not either `BUYER_ACCEPTANCE_REQUESTED` or `FINALIZED`. Accepting a proposal means the buyer understands and accepts the `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals#Proposal.FIELDS.terms_and_conditions` proposed by the seller.

### HTTP request

`POST https://authorizedbuyersmarketplace.googleapis.com/v1alpha/{name=buyers/*/proposals/*}:accept`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Name of the proposal. Format: `buyers/{accountId}/proposals/{proposalId}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "proposalRevision": string } ``` |

| Fields ||
|---|---|
| `proposalRevision` | `string (https://developers.google.com/discovery/v1/type-format format)` The last known client revision number of the proposal. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals#Proposal`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`